package com.railway.business.baseinfo.service;

import com.railway.business.baseinfo.domain.BasePreventThaw;
import java.util.List;
/**
* 九防台账-防春融
* @author wuhonghao
* @date 2021/11/13
*/
public interface IBasePreventThawService{

    /**
    * 新增
    */
    int create(BasePreventThaw basePreventThaw);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BasePreventThaw basePreventThaw);

    /**
    * 获取单个
    */
    BasePreventThaw getInfo(String id);

    /**
    * 查询列表
    */
    List<BasePreventThaw> getList(BasePreventThaw basePreventThaw);

}
